VMB Button Specification

Button Specification

the GUI optins will work only under Win32

Operation

The program will contact the motherboard at [host:]port and register itself. There is no address associated with a button, just an interrupts.

In normal operation, when the button is pressed an interrupt is send to the motherboard. The button can be configured to send an interrupt also when the button is released.

The color of the button can be configured to be any 3 Byte RGB value (0xFF0000 is red, 0x00FF00 is green, and 0x0000FF is blue). Further, a label can be specified to be placed on the button.

Configuration

The Button has the following configurable parameters:
host | localhost | the host where the bus is located
port | 9002 | the port where the bus is located
interrupt | not set | interrupt sent when the button is pressed (down)
upinterrupt | not set | interrupt sent when the button is released (up)
enable | 1 | enable interrupts 0=none, 1=down, 2=up, 3= both
pushbutton | off | make the button a two state button with two stable states up and down
color | 0x0000FF | RGB value of the button color
label | NULL | Label to be placed on the button.
x | 0 | the x position of the window
y | 0 | the y position of the window
minimized | false | start with a minimized window
debug | false | to generate debug output
debugmask | 0xFFF0 | set mask to hide debug output
verbose | false | make debugging verbose, sets debug mask to zero
define | not set | to define a name for conditionals
config | not set | filename for a configuration file
help | false | to print information

These can be set in default.vmb